<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package construction_engineer
 */

function construction_engineer_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'construction_engineer_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1360,
		'height'                 => 110,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'construction_engineer_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'construction_engineer_custom_header_setup' );

if ( ! function_exists( 'construction_engineer_header_style' ) ) :

add_action( 'wp_enqueue_scripts', 'construction_engineer_header_style' );

function construction_engineer_header_style() {
	if ( get_header_image() ) :
	$construction_engineer_custom_css = "
        header.site-header .header-main-wrapper .bottom-header-outer-wrapper .bottom-header-part{
			background-image:url('".esc_url(get_header_image())."') !important;
			background-size: 100% 100%;
			background-position: center top;
		}";
	   	wp_add_inline_style( 'construction-engineer-style', $construction_engineer_custom_css );
	endif;
}
endif;